StableOps
API 參考

輪換籤名金鑰

輪換 StableOps Webhook 簽名金鑰並立即儲存新值,舊金鑰保留二十四小時過渡期,便於接收端平滑更新驗籤設定。接收端應使用原始請求體驗籤,以事件標識去重,並在可靠儲存任務後應答成功。投遞可能重複、併發或亂序,重放與設定調整均需配合業務狀態核對。

POST/v1/webhook-endpoints/{id}/rotate-secret

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

id*unknown

Webhook endpoint id.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/webhook-endpoints/{id}/rotate-secret"
{
  "id": "string",
  "url": "http://example.com",
  "description": "string",
  "enabled_events": [
    "payment_order.created"
  ],
  "redact_metadata": true,
  "disabled_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "secret": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

這篇文件怎麼樣?

最後更新